Index: doc/latex/classegiw__inherit__graph.eps
===================================================================
--- doc/latex/classegiw__inherit__graph.eps (revision 99)
+++ doc/latex/classegiw__inherit__graph.eps (revision 99)
@@ -0,0 +1,310 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 80 176
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 44 140 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+36 19 lineto
+36 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+36 19 lineto
+36 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+8.25 5.25 moveto 19.5 (egiw) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 1 57 35 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classeEF.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1 56 moveto
+1 75 lineto
+35 75 lineto
+35 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1 56 moveto
+1 75 lineto
+35 75 lineto
+35 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+9 61.25 moveto 18 (eEF) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 18 46 moveto
+18 37 18 26 18 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 14.5001 46 moveto
+18 56 lineto
+21.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 14.5001 46 moveto
+18 56 lineto
+21.5001 46 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 1 113 35 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classepdf.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1 112 moveto
+1 131 lineto
+36 131 lineto
+36 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1 112 moveto
+1 131 lineto
+36 131 lineto
+36 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+8.625 117.25 moveto 18.75 (epdf) alignedtext
+grestore
+% Node3->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 18 102 moveto
+18 93 18 82 18 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 14.5001 102 moveto
+18 112 lineto
+21.5001 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 14.5001 102 moveto
+18 112 lineto
+21.5001 102 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 80 176
+end
+restore
+%%EOF
Index: doc/latex/chmat_8h__dep__incl.md5
===================================================================
--- doc/latex/chmat_8h__dep__incl.md5 (revision 91)
+++ doc/latex/chmat_8h__dep__incl.md5 (revision 99)
@@ -1,1 +1,1 @@
-2207d26af9ab4f50731263da767fb2c2
+ff3cd69d34e9abac9d40fcb110a52014
Index: doc/latex/libKF_8h__incl.md5
===================================================================
--- doc/latex/libKF_8h__incl.md5 (revision 91)
+++ doc/latex/libKF_8h__incl.md5 (revision 99)
@@ -1,1 +1,1 @@
-e77eefc3d69335cb0f7396d4e3396620
+6ed48e2ea3ef3328ad709c2c4a0cf782
Index: doc/latex/classEKFfixed__coll__graph.md5
===================================================================
--- doc/latex/classEKFfixed__coll__graph.md5 (revision 99)
+++ doc/latex/classEKFfixed__coll__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+3caeb6e1d5d2d6c47284622efb742c2e
Index: doc/latex/classARX__coll__graph.md5
===================================================================
--- doc/latex/classARX__coll__graph.md5 (revision 99)
+++ doc/latex/classARX__coll__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+beb5365df393af17037a6918a316d186
Index: doc/latex/classEKFfixed__inherit__graph.md5
===================================================================
--- doc/latex/classEKFfixed__inherit__graph.md5 (revision 99)
+++ doc/latex/classEKFfixed__inherit__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+5dcdd6ca8207978719471f5162fb4185
Index: doc/latex/classuibase__coll__graph.md5
===================================================================
--- doc/latex/classuibase__coll__graph.md5 (revision 99)
+++ doc/latex/classuibase__coll__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+4778a2a56444a99e2fe01185b731e10b
Index: doc/latex/classuivector__inherit__graph.md5
===================================================================
--- doc/latex/classuivector__inherit__graph.md5 (revision 99)
+++ doc/latex/classuivector__inherit__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+2eb383c011a0c408e138b9a5a94e171c
Index: doc/latex/classuiscalar__inherit__graph.md5
===================================================================
--- doc/latex/classuiscalar__inherit__graph.md5 (revision 99)
+++ doc/latex/classuiscalar__inherit__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+38593f1bd5d6ccaf5b211dc4cc35500a
Index: doc/latex/classuicompound__coll__graph.eps
===================================================================
--- doc/latex/classuicompound__coll__graph.eps (revision 99)
+++ doc/latex/classuicompound__coll__graph.eps (revision 99)
@@ -0,0 +1,361 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 145 208
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 109 172 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+69 19 lineto
+69 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+69 19 lineto
+69 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.75 5.25 moveto 52.5 (uicompound) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 12 67 56 85 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classuibase.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 12 66 moveto
+12 85 lineto
+57 85 lineto
+57 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 12 66 moveto
+12 85 lineto
+57 85 lineto
+57 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+19.75 71.25 moveto 28.5 (uibase) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 32 56 moveto
+32 53 32 51 32 48 curveto
+32 38 33 27 33 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 28.5222 56.3979 moveto
+33 66 lineto
+35.4875 55.7013 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 28.5222 56.3979 moveto
+33 66 lineto
+35.4875 55.7013 lineto
+closepath stroke
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 34 56 moveto
+34 44 34 29 34 19 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 30.5001 56 moveto
+34 66 lineto
+37.5001 56 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 30.5001 56 moveto
+34 66 lineto
+37.5001 56 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+33.875 39.25 moveto 26.25 (elems) alignedtext
+grestore
+% Node2->Node2
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 67 81 moveto
+71 80 74 78 74 76 curveto
+74 72 66 70 57 70 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 66.6021 77.5222 moveto
+57 82 lineto
+67.2987 84.4875 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 66.6021 77.5222 moveto
+57 82 lineto
+67.2987 84.4875 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+73.5 72.25 moveto 27 (parent) alignedtext
+grestore
+% Node3
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 14 144 moveto
+14 163 lineto
+54 163 lineto
+54 144 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 14 144 moveto
+14 163 lineto
+54 163 lineto
+54 144 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+22 149.25 moveto 24 (string) alignedtext
+grestore
+% Node3->Node2
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 34 134 moveto
+34 118 34 97 34 85 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 30.5001 134 moveto
+34 144 lineto
+37.5001 134 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 30.5001 134 moveto
+34 144 lineto
+37.5001 134 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+45 116.5 moveto 18 (help) alignedtext
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+33.75 106 moveto 40.5 (comment) alignedtext
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 145 208
+end
+restore
+%%EOF
Index: doc/latex/libDC_8h__dep__incl.eps
===================================================================
--- doc/latex/libDC_8h__dep__incl.eps (revision 91)
+++ doc/latex/libDC_8h__dep__incl.eps (revision 99)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 467 232
+%%PageBoundingBox: 36 36 575 232
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 431 196 boxprim clip newpath
+36 36 539 196 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 204 168 moveto
-204 187 lineto
-351 187 lineto
-351 168 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 204 168 moveto
-204 187 lineto
-351 187 lineto
-351 168 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-211.75 173.25 moveto 130.5 (work/mixpp/bdm/math/libDC.h) alignedtext
+newpath 228 168 moveto
+228 187 lineto
+375 187 lineto
+375 168 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 228 168 moveto
+228 187 lineto
+375 187 lineto
+375 168 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+235.75 173.25 moveto 130.5 (work/mixpp/bdm/math/libDC.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 207 113 347 131 ]
+[ /Rect [ 231 113 371 131 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 207 112 moveto
-207 131 lineto
-347 131 lineto
-347 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 207 112 moveto
-207 131 lineto
-347 131 lineto
-347 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-215.125 117.25 moveto 123.75 (work/mixpp/bdm/stat/libEF.h) alignedtext
+newpath 231 112 moveto
+231 131 lineto
+371 131 lineto
+371 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 231 112 moveto
+231 131 lineto
+371 131 lineto
+371 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+239.125 117.25 moveto 123.75 (work/mixpp/bdm/stat/libEF.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,23 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 277 158 moveto
-277 149 277 138 277 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 273.5 158 moveto
-277 168 lineto
-280.5 158 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 273.5 158 moveto
-277 168 lineto
-280.5 158 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 277 57 423 75 ]
+newpath 301 158 moveto
+301 149 301 138 301 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 297.5 158 moveto
+301 168 lineto
+304.5 158 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 297.5 158 moveto
+301 168 lineto
+304.5 158 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 385 57 531 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libPF_8h.html) >>
@@ -260,46 +260,46 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 277 56 moveto
-277 75 lineto
-424 75 lineto
-424 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 277 56 moveto
-277 75 lineto
-424 75 lineto
-424 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-284.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libPF.h) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 318 164 moveto
-333 157 348 146 356 132 curveto
-366 114 359 89 354 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 316.717 160.74 moveto
-309 168 lineto
-319.56 167.137 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 316.717 160.74 moveto
-309 168 lineto
-319.56 167.137 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 39 113 189 131 ]
+newpath 385 56 moveto
+385 75 lineto
+532 75 lineto
+532 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 385 56 moveto
+385 75 lineto
+532 75 lineto
+532 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+392.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libPF.h) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 329 163 moveto
+344 155 363 144 380 132 curveto
+406 113 433 89 448 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 327.042 160.084 moveto
+320 168 lineto
+330.441 166.203 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 327.042 160.084 moveto
+320 168 lineto
+330.441 166.203 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 63 113 213 131 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($chmat_8h.html) >>
@@ -307,43 +307,89 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 39 112 moveto
-39 131 lineto
-189 131 lineto
-189 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 39 112 moveto
-39 131 lineto
-189 131 lineto
-189 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-46.875 117.25 moveto 134.25 (work/mixpp/bdm/math/chmat.h) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 238 165 moveto
-208 155 167 140 140 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 237.416 168.479 moveto
-248 168 lineto
-239.427 161.774 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 237.416 168.479 moveto
-248 168 lineto
-239.427 161.774 lineto
+newpath 63 112 moveto
+63 131 lineto
+213 131 lineto
+213 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 63 112 moveto
+63 131 lineto
+213 131 lineto
+213 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+70.875 117.25 moveto 134.25 (work/mixpp/bdm/math/chmat.h) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 262 165 moveto
+232 155 191 140 164 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 261.416 168.479 moveto
+272 168 lineto
+263.427 161.774 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 261.416 168.479 moveto
+272 168 lineto
+263.427 161.774 lineto
 closepath stroke
 grestore
 % Node3
+gsave
+[ /Rect [ 229 57 367 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($arx_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 229 56 moveto
+229 75 lineto
+368 75 lineto
+368 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 229 56 moveto
+229 75 lineto
+368 75 lineto
+368 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+236.5 61.25 moveto 123 (work/mixpp/bdm/estim/arx.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 300 102 moveto
+300 93 299 82 299 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 296.5 102 moveto
+300 112 lineto
+303.5 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 296.5 102 moveto
+300 112 lineto
+303.5 102 lineto
+closepath stroke
+grestore
+% Node4
 gsave
 [ /Rect [ 65 57 211 75 ]
@@ -370,47 +416,93 @@
 72.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
 grestore
-% Node2->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 243 108 moveto
-217 98 182 84 160 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 241.44 111.137 moveto
-252 112 lineto
-244.283 104.74 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 241.44 111.137 moveto
-252 112 lineto
-244.283 104.74 lineto
-closepath stroke
-grestore
-% Node2->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 298 106 moveto
-311 96 327 83 338 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 295.9 103.2 moveto
-290 112 lineto
-300.1 108.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 295.9 103.2 moveto
-290 112 lineto
-300.1 108.8 lineto
-closepath stroke
-grestore
-% Node4
+% Node2->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 262 109 moveto
+232 99 191 84 164 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 261.416 112.479 moveto
+272 112 lineto
+263.427 105.774 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 261.416 112.479 moveto
+272 112 lineto
+263.427 105.774 lineto
+closepath stroke
+grestore
+% Node2->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 339 109 moveto
+368 98 407 84 433 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 337.573 105.774 moveto
+329 112 lineto
+339.584 112.479 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 337.573 105.774 moveto
+329 112 lineto
+339.584 112.479 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 338 1 488 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 338 0 moveto
+338 19 lineto
+489 19 lineto
+489 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 338 0 moveto
+338 19 lineto
+489 19 lineto
+489 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+345.5 5.25 moveto 135 (work/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 197 54 moveto
+249 44 322 28 369 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 196.119 50.6067 moveto
+187 56 lineto
+197.492 57.4708 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 196.119 50.6067 moveto
+187 56 lineto
+197.492 57.4708 lineto
+closepath stroke
+grestore
+% Node6
 gsave
 [ /Rect [ 0 1 276 19 ]
@@ -437,5 +529,5 @@
 7.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
 grestore
-% Node3->Node4
+% Node4->Node6
 gsave
 1 setlinewidth
@@ -458,23 +550,44 @@
 closepath stroke
 grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 122 103 moveto
-127 93 131 82 134 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 118.863 101.44 moveto
-118 112 lineto
-125.26 104.283 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 118.863 101.44 moveto
-118 112 lineto
-125.26 104.283 lineto
+% Node7->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 444 48 moveto
+436 38 427 27 420 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 441.2 50.1 moveto
+450 56 lineto
+446.8 45.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 441.2 50.1 moveto
+450 56 lineto
+446.8 45.9 lineto
+closepath stroke
+grestore
+% Node8->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 138 102 moveto
+138 93 138 82 138 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 134.5 102 moveto
+138 112 lineto
+141.5 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134.5 102 moveto
+138 112 lineto
+141.5 102 lineto
 closepath stroke
 grestore
@@ -486,5 +599,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 467 232
+%%BoundingBox: 36 36 575 232
 end
 restore
Index: doc/latex/libBM_8h__dep__incl.md5
===================================================================
--- doc/latex/libBM_8h__dep__incl.md5 (revision 91)
+++ doc/latex/libBM_8h__dep__incl.md5 (revision 99)
@@ -1,1 +1,1 @@
-fe2284c9f4e0579218b1261b5f30e43c
+ac92c62e6d7dbfa9076e1371048e0a04
